Skip to main content
Interfaces / BPAY

Update BPAY batch

This method requires the InterfaceExports:BpayBatchUpdate permission to be associated with your role.

PUT
/gb/interface/exports/bpay/{bpay_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
bpay_idstringrequired

BPAY interface export id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$

Body

application/json

JSON payload

notesstring
Example: Example note text
status_flagenum<string>
Available options: pending, exported_ok
Example: exported_ok

Success